import { IdentitySummary } from './types';
import { Identity } from 'jolocom-lib/js/identity/identity';
import { CredentialOfferRequest } from 'jolocom-lib/js/interactionTokens/credentialOfferRequest';
/**
 * Given an identity, returns an object satisfying the {@link IdentitySummary} interface.
 * @dev Currently used with the {@link IssuerCard} component
 * @note In case the identity does not contain a Public Profile credential,
 * the function will return a minimal default which can be rendered.
 * @param identity - Instance of identity to generate the summary for
 */
export declare const generateIdentitySummary: (identity: Identity) => IdentitySummary;
export declare const areRequirementsEmpty: (interactionToken: CredentialOfferRequest) => boolean;
