export interface EntropyGeneratorInterface {
    addFromDelta: (d: number) => void;
    getProgress: () => number;
    generateRandomString: (wordCount: number) => string;
}
export declare class EntropyGenerator implements EntropyGeneratorInterface {
    private generator;
    addFromDelta(d: number): void;
    getProgress(): number;
    /**
     * Once the generator is ready, it can be used to generate a random buffer
     * @param wordCount - Amount of random words to generate (1 word - 4 bytes)
     * @returns Hex string encoding wordCount * 4 bytes random bytes
     */
    generateRandomString(wordCount: number): string;
}
