import { routeList } from 'src/routeList';
import { ErrorReport, ErrorCode, IAppError } from './types';
export { ErrorCode };
import { initSentry } from 'src/lib/errors/sentry';
export declare class AppError extends Error implements IAppError {
    origError: any;
    navigateTo: routeList;
    constructor(code?: ErrorCode, origError?: any, navigateTo?: routeList);
}
export declare const errorTitleMessages: string[];
export declare function reportError(report: ErrorReport): void;
export declare const initErrorReporting: typeof initSentry;
