import { JSONWebToken } from 'jolocom-lib/js/interactionTokens/JSONWebToken';
import { InteractionType } from 'jolocom-lib/js/interactionTokens/types';
import { Authentication } from 'jolocom-lib/js/interactionTokens/authentication';
import { CredentialOfferRequest } from 'jolocom-lib/js/interactionTokens/credentialOfferRequest';
import { CredentialRequest } from 'jolocom-lib/js/interactionTokens/credentialRequest';
import { PaymentRequest } from 'jolocom-lib/js/interactionTokens/paymentRequest';
import { InteractionChannel } from '../interactionManager/types';
/**
 * @param Metadata should not need to be passed to credential receive because it comes from cred Offer
 * Furthermore, this only needs to be defined for requests
 */
export declare const interactionHandlers: {
    authentication: <T extends JSONWebToken<Authentication>>(interactionToken: T, channel: InteractionChannel) => import("redux-thunk").ThunkAction<import("redux").AnyAction | Promise<void | import("redux").AnyAction>, import("../../reducers").RootState, import("../../backendMiddleware").BackendMiddleware, import("redux").AnyAction>;
    credentialRequest: <T_1 extends JSONWebToken<CredentialRequest>>(interactionToken: T_1, channel: InteractionChannel) => import("redux-thunk").ThunkAction<import("redux").AnyAction | Promise<void | import("redux").AnyAction>, import("../../reducers").RootState, import("../../backendMiddleware").BackendMiddleware, import("redux").AnyAction>;
    credentialOfferRequest: <T_2 extends JSONWebToken<CredentialOfferRequest>>(interactionToken: T_2, channel: InteractionChannel) => import("redux-thunk").ThunkAction<import("redux").AnyAction | Promise<void | import("redux").AnyAction>, import("../../reducers").RootState, import("../../backendMiddleware").BackendMiddleware, import("redux").AnyAction>;
    paymentRequest: <T_3 extends JSONWebToken<PaymentRequest>>(interactionToken: T_3, isDeepLinkInteraction: boolean) => (dispatch: import("../../store").ThunkDispatch, getState: () => import("../../reducers").RootState, backendMiddleware: import("../../backendMiddleware").BackendMiddleware) => Promise<void | import("redux").AnyAction>;
};
