import { JSONWebToken, JWTEncodable } from 'jolocom-lib/js/interactionTokens/JSONWebToken';
import { CredentialResponse } from 'jolocom-lib/js/interactionTokens/credentialResponse';
import { CredentialOfferResponse } from 'jolocom-lib/js/interactionTokens/credentialOfferResponse';
import { BackendMiddleware } from './backendMiddleware';
import { CredentialRequest } from 'jolocom-lib/js/interactionTokens/credentialRequest';
import { CredentialOfferRequest } from 'jolocom-lib/js/interactionTokens/credentialOfferRequest';
export declare const isCredReq: (t: JSONWebToken<JWTEncodable> | undefined) => t is JSONWebToken<CredentialRequest>;
export declare const isCredOfferReq: (t: JSONWebToken<JWTEncodable> | undefined) => t is JSONWebToken<CredentialOfferRequest>;
export declare const consumeCredentialResponse: (bemw: BackendMiddleware) => (token: JSONWebToken<CredentialResponse>) => Promise<boolean>;
export declare const consumeCredentialOfferResponse: (bemw: BackendMiddleware) => (token: JSONWebToken<CredentialOfferResponse>) => Promise<void>;
