'use strict';Object.defineProperty(exports,'__esModule',{value:true});const tslib_1=require('tslib');const index_1=require('../index');const routeList_1=require('../../routeList');const account_1=require('../account');const checkRecoverySetup_1=require('../notifications/checkRecoverySetup');const notifications_1=require('../../lib/notifications');const notifications_2=require('../notifications');const i18n_1=tslib_1.__importDefault(require('../../polyfills/i18n'));const strings_1=tslib_1.__importDefault(require('../../locales/strings'));const types_1=require('../../lib/interactionManager/types');const ramda_1=require('ramda');exports.consumeCredentialOfferRequest=(credentialOfferRequest,interactionChannel)=>(dispatch,getState,{interactionManager})=>tslib_1.__awaiter(void 0,void 0,void 0,function*(){const interaction=yield interactionManager.start(interactionChannel,credentialOfferRequest);return dispatch(index_1.navigationActions.navigate({routeName:routeList_1.routeList.CredentialReceive,params:{interactionId:credentialOfferRequest.nonce,interactionSummary:interaction.getSummary()}}));});exports.consumeCredentialReceive=(selectedSignedCredentialWithMetadata,interactionId)=>(dispatch,getState,{interactionManager})=>tslib_1.__awaiter(void 0,void 0,void 0,function*(){const interaction=interactionManager.getInteraction(interactionId);const credentialReceive=yield interaction.send(yield interaction.createCredentialOfferResponseToken(selectedSignedCredentialWithMetadata));if(credentialReceive){yield interaction.processInteractionToken(credentialReceive);return dispatch(exports.validateSelectionAndSave(selectedSignedCredentialWithMetadata,interaction.id));}});exports.validateSelectionAndSave=(selectedCredentials,interactionId)=>(dispatch,getState,{interactionManager,storageLib})=>tslib_1.__awaiter(void 0,void 0,void 0,function*(){const interaction=interactionManager.getInteraction(interactionId);const {offerSummary}=interaction.getSummary().state;const selectedTypes=selectedCredentials.map(el=>el.type);const toSave=offerSummary.filter(el=>selectedTypes.includes(el.type));if(toSave.length!==selectedCredentials.length){}const duplicates=yield isCredentialStored(toSave,id=>interaction.getStoredCredentialById(id));const validationErrors=toSave.map(({validationErrors},i)=>validationErrors.invalidIssuer||!!validationErrors.invalidSubject||duplicates[i]);const allInvalid=!validationErrors.includes(false);const allValid=!validationErrors.includes(true);const scheduleInvalidNotification=message=>notifications_2.scheduleNotification(notifications_1.createInfoNotification({title:i18n_1.default.t(strings_1.default.AWKWARD),message}));if(allInvalid){dispatch(scheduleInvalidNotification(i18n_1.default.t(strings_1.default.IT_SEEMS_LIKE_WE_CANT_DO_THIS)));return dispatch(endReceiving(interactionId));}if(allValid){yield interaction.storeCredential(toSave);yield storeOfferMetadata(interaction.getSummary().state.offerSummary,interaction.participants.requester.did,storageLib.store.credentialMetadata);yield interaction.storeIssuerProfile();dispatch(checkRecoverySetup_1.checkRecoverySetup);dispatch(account_1.setClaimsForDid);const notification=notifications_1.createInfoNotification({title:i18n_1.default.t(strings_1.default.GREAT_SUCCESS),message:i18n_1.default.t(strings_1.default.YOU_CAN_FIND_YOUR_NEW_CREDENTIAL_IN_THE_DOCUMENTS),interact:{label:i18n_1.default.t(strings_1.default.OPEN),onInteract:()=>{dispatch(index_1.navigationActions.navigate({routeName:routeList_1.routeList.Documents}));}}});dispatch(notifications_2.scheduleNotification(notification));return dispatch(endReceiving(interactionId));}dispatch(scheduleInvalidNotification(i18n_1.default.t(strings_1.default.SOMETHING_WENT_WRONG_CHOOSE_AGAIN)));return dispatch(index_1.navigationActions.navigate({routeName:routeList_1.routeList.CredentialReceiveNegotiate,params:{interactionId,interactionSummary:Object.assign(Object.assign({},interaction.getSummary()),{state:{offerSummary}})}}));});const isCredentialStored=(offer,getCredential)=>tslib_1.__awaiter(void 0,void 0,void 0,function*(){return Promise.all(offer.map(({signedCredential})=>tslib_1.__awaiter(void 0,void 0,void 0,function*(){return signedCredential?!ramda_1.isEmpty(yield getCredential(signedCredential.id)):false;})));});const storeOfferMetadata=(offer,did,storeCredentialMetadata)=>tslib_1.__awaiter(void 0,void 0,void 0,function*(){return Promise.all(ramda_1.uniqBy(detail=>`${detail.issuer.did}${detail.type}`,offer.map(({type,renderInfo,metadata})=>({issuer:{did},type,renderInfo:renderInfo||{},metadata:metadata||{}}))).map(storeCredentialMetadata));});const endReceiving=interactionId=>(dispatch,getState,{interactionManager})=>{const interaction=interactionManager.getInteraction(interactionId);const {channel}=interaction;if(channel===types_1.InteractionChannel.Deeplink){return dispatch(index_1.navigationActions.navigatorResetHome());}else{return dispatch(index_1.navigationActions.navigate({routeName:routeList_1.routeList.InteractionScreen}));}};