'use strict';Object.defineProperty(exports,'__esModule',{value:true});const tslib_1=require('tslib');const types_1=require('jolocom-lib/js/interactionTokens/types');const util_1=require('../util');const ramda_1=require('ramda');const flow_1=require('./flow');const guards_1=require('./guards');class CredentialRequestFlow extends flow_1.Flow{constructor(ctx){super(ctx);this.state={constraints:[],providedCredentials:[]};}handleInteractionToken(token,interactionType){return tslib_1.__awaiter(this,void 0,void 0,function*(){switch(interactionType){case types_1.InteractionType.CredentialRequest:if(guards_1.isCredentialRequest(token))return this.handleCredentialRequest(token);case types_1.InteractionType.CredentialResponse:if(guards_1.isCredentialResponse(token))return this.handleCredentialResponse(token);default:throw new Error('Interaction type not found');}});}handleCredentialRequest(request){return tslib_1.__awaiter(this,void 0,void 0,function*(){this.state.constraints.push(request);});}getAvailableCredentials(request){return tslib_1.__awaiter(this,void 0,void 0,function*(){const {requestedCredentialTypes}=request;const attributesForType=yield Promise.all(requestedCredentialTypes.map(this.ctx.getAttributesByType));const populatedWithCredentials=yield Promise.all(attributesForType.map(({results,type})=>{if(ramda_1.isEmpty(results)){return[{type:util_1.getUiCredentialTypeByType(type),values:[],verifications:[]}];}return Promise.all(results.map(({values,verification})=>tslib_1.__awaiter(this,void 0,void 0,function*(){return{type:util_1.getUiCredentialTypeByType(type),values,verifications:yield this.ctx.getVerifiableCredential({id:verification})};})));}));const abbreviated=populatedWithCredentials.map(attribute=>attribute.map(entry=>Object.assign(Object.assign({},entry),{verifications:entry.verifications.map(vCred=>({id:vCred.id,issuer:{did:vCred.issuer},selfSigned:vCred.signer.did===this.ctx.participants.responder.did,expires:vCred.expires}))})));return abbreviated.reduce((acc,val)=>acc.concat(val));});}handleCredentialResponse(token){this.state.providedCredentials.push(token);token.satisfiesRequest(this.state.constraints[-1]);}}exports.CredentialRequestFlow=CredentialRequestFlow;