'use strict';Object.defineProperty(exports,'__esModule',{value:true});const tslib_1=require('tslib');const credentialOfferFlow_1=require('./credentialOfferFlow');const types_1=require('jolocom-lib/js/interactionTokens/types');const types_2=require('./types');const credentialRequestFlow_1=require('./credentialRequestFlow');const jolocom_lib_1=require('jolocom-lib');const ramda_1=require('ramda');const authenticationFlow_1=require('./authenticationFlow');const reactNative_1=require('../../polyfills/reactNative');const errors_1=require('../errors');const utils_1=require('../../actions/sso/utils');const interactionFlowForMessage={[types_1.InteractionType.CredentialOfferRequest]:credentialOfferFlow_1.CredentialOfferFlow,[types_1.InteractionType.CredentialRequest]:credentialRequestFlow_1.CredentialRequestFlow,[types_1.InteractionType.Authentication]:authenticationFlow_1.AuthenticationFlow};class Interaction{constructor(ctx,channel,id,interactionType){this.interactionMessages=[];this.getAttributesByType=type=>{return this.ctx.storageLib.get.attributesByType(type);};this.getVerifiableCredential=query=>{return this.ctx.storageLib.get.verifiableCredential(query);};this.storeCredentialMetadata=metadata=>this.ctx.storageLib.store.credentialMetadata(metadata);this.storeIssuerProfile=()=>this.ctx.storageLib.store.issuerProfile(utils_1.generateIdentitySummary(this.participants.requester));this.ctx=ctx;this.channel=channel;this.id=id;this.flow=new interactionFlowForMessage[interactionType](this);}getMessages(){return this.interactionMessages;}findMessageByType(type){return this.getMessages().find(({interactionType})=>interactionType===type);}createAuthenticationResponse(){return tslib_1.__awaiter(this,void 0,void 0,function*(){const request=this.findMessageByType(types_1.InteractionType.Authentication);const {description}=this.getSummary().state;return this.ctx.identityWallet.create.interactionTokens.response.auth({description,callbackURL:request.interactionToken.callbackURL},yield this.ctx.keyChainLib.getPassword(),request);});}createCredentialResponse(selectedCredentials){return tslib_1.__awaiter(this,void 0,void 0,function*(){const request=this.findMessageByType(types_1.InteractionType.CredentialRequest);const credentials=yield Promise.all(selectedCredentials.map(({id})=>tslib_1.__awaiter(this,void 0,void 0,function*(){return(yield this.getVerifiableCredential({id}))[0];})));return this.ctx.identityWallet.create.interactionTokens.response.share({callbackURL:request.interactionToken.callbackURL,suppliedCredentials:credentials.map(c=>c.toJSON())},yield this.ctx.keyChainLib.getPassword(),request);});}createCredentialOfferResponseToken(selectedOffering){return tslib_1.__awaiter(this,void 0,void 0,function*(){const credentialOfferRequest=this.findMessageByType(types_1.InteractionType.CredentialOfferRequest);const credentialOfferResponseAttr={callbackURL:credentialOfferRequest.interactionToken.callbackURL,selectedCredentials:selectedOffering.map(offer=>({type:offer.type}))};return this.ctx.identityWallet.create.interactionTokens.response.offer(credentialOfferResponseAttr,yield this.ctx.keyChainLib.getPassword(),credentialOfferRequest);});}processInteractionToken(token){return tslib_1.__awaiter(this,void 0,void 0,function*(){if(!this.participants){const requester=yield this.ctx.registry.resolve(token.signer.did);this.participants={requester};if(requester.did!==this.ctx.identityWallet.did){this.participants.responder=this.ctx.identityWallet.identity;}}else if(!this.participants.responder){this.participants.responder=yield this.ctx.registry.resolve(token.signer.did);}if(token.signer.did!==this.ctx.identityWallet.did){yield this.ctx.identityWallet.validateJWT(token,ramda_1.last(this.getMessages()),this.ctx.registry);}if(token.interactionType===types_1.InteractionType.CredentialsReceive){yield jolocom_lib_1.JolocomLib.util.validateDigestables(token.interactionToken.signedCredentials);}return this.flow.handleInteractionToken(token.interactionToken,token.interactionType).then(()=>{this.interactionMessages.push(token);this.ctx.storageLib.store.interactionToken(token);});});}getSummary(){return{initiator:utils_1.generateIdentitySummary(this.participants.requester),state:this.flow.getState()};}getStoredCredentialById(id){return tslib_1.__awaiter(this,void 0,void 0,function*(){return this.ctx.storageLib.get.verifiableCredential({id});});}send(token){return tslib_1.__awaiter(this,void 0,void 0,function*(){const {callbackURL}=token.interactionToken;switch(this.channel){case types_2.InteractionChannel.HTTP:const response=yield fetch(callbackURL,{method:'POST',body:JSON.stringify({token:token.encode()}),headers:{'Content-Type':'application/json'}});if(!response.ok){throw new errors_1.AppError(errors_1.ErrorCode.Unknown);}const text=yield response.text();if(text.length){const {token}=JSON.parse(text);return jolocom_lib_1.JolocomLib.parse.interactionToken.fromJWT(token);}break;case types_2.InteractionChannel.Deeplink:const callback=`${callbackURL}/${token.encode()}`;if(!(yield reactNative_1.Linking.canOpenURL(callback))){throw new errors_1.AppError(errors_1.ErrorCode.DeepLinkUrlNotFound);}return reactNative_1.Linking.openURL(callback).then(()=>{});default:throw new errors_1.AppError(errors_1.ErrorCode.TransportNotSupported);}});}storeCredential(toSave){return tslib_1.__awaiter(this,void 0,void 0,function*(){return Promise.all(toSave.map(({signedCredential})=>signedCredential&&this.ctx.storageLib.store.verifiableCredential(signedCredential)));});}}exports.Interaction=Interaction;